#
# Conditional build:
%bcond_with	system_lzma	# use system lzma instead of internal
#
Summary:	Long Range ZIP or Lzma RZIP
Summary(pl.UTF-8):	Long Range ZIP lub Lzma RZIP
Name:		lrzip
Version:	0.614
Release:	1
License:	GPL v2
Group:		Applications/Archiving
Source0:	http://ck.kolivas.org/apps/lrzip/%{name}-%{version}.tar.bz2
# Source0-md5:	9c60d03d94beaac68ac2c096c0e6ed1b
Patch0:		%{name}-lzma.patch
URL:		http://ck.kolivas.org/apps/lrzip/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
%{?with_system_lzma:BuildRequires:	lzma-devel >= 4.43-5}
BuildRequires:	lzo-devel >= 2.02-1
BuildRequires:	nasm
BuildRequires:	perl-tools-pod
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a compression program optimised for large files. The larger
the file and the more memory you have, the better the compression
advantage this will provide, especially once the files are larger than
100MB. The advantage can be chosen to be either size (much smaller
than bzip2) or speed (much faster than bzip2). Decompression is much
always faster than bzip2.

%description -l pl.UTF-8
LRZIP to program kompresujący zoptymalizowany dla dużych plików. Im
większy jest plik i im więcej jest dostępnej pamięci, tym lepszą
kompresję można uzyskać, zwłaszcza dla plików większych niż 100MB.
Można wybrać kompresję bardziej korzystną pod względem rozmiaru (dużo
mniejszy niż bzip2) lub szybkości (dużo szybszy niż bzip2).
Dekompresja jest zawsze dużo szybsza niż bzip2.

%prep
%setup -q
%if %{with system_lzma}
rm -rf lzma
%patch0 -p1
%endif

%build
%{__aclocal} -I m4
%{__autoconf}
%configure \
	--enable-asm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%doc AUTHORS BUGS ChangeLog README README-NOT-BACKWARD-COMPATIBLE TODO WHATS-NEW
%doc lzma/7zC.txt lzma/7zFormat.txt lzma/Methods.txt lzma/README lzma/README-Alloc lzma/history.txt lzma/lzma.txt
%doc doc/magic.header.txt doc/lrzip.conf.example doc/README.lzo_compresses.test.txt doc/README.benchmarks
%attr(755,root,root) %{_bindir}/lrunzip
%attr(755,root,root) %{_bindir}/lrzcat
%attr(755,root,root) %{_bindir}/lrzip
%attr(755,root,root) %{_bindir}/lrztar
%attr(755,root,root) %{_bindir}/lrzuntar
%{_mandir}/man1/lrunzip.1*
%{_mandir}/man1/lrzcat.1*
%{_mandir}/man1/lrzip.1*
%{_mandir}/man1/lrztar.1*
%{_mandir}/man1/lrzuntar.1*
%{_mandir}/man5/lrzip.conf.5*
%changelog
* Mon Oct 22 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lrzip.git;a=log;h=master

* Sun Oct 21 2012 Karol Krenski <charles@pld-linux.org> 26ef3c2
- up to 0.614

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 9740a7a
- up to 0.608

* Sat May 14 2011 Karol Krenski <charles@pld-linux.org> fa6bd61
- up to 0.606 (bugfix release)

* Sun May 08 2011 Karol Krenski <charles@pld-linux.org> ff0c2b9
- updated to 0.605

* Sat Apr 30 2011 areq <areq@pld-linux.org> b42af76
- 0.604

* Wed Apr 13 2011 areq <areq@pld-linux.org> bf17e47
- 0.602

* Tue Mar 08 2011 areq <areq@pld-linux.org> aea99f9
- 0.571

* Fri Feb 25 2011 areq <areq@pld-linux.org> e7f13eb
- 0.570

* Mon Feb 21 2011 areq <areq@pld-linux.org> ffa7079
- 0.560

* Sat Feb 12 2011 sparky <sparky@pld-linux.org> e0b40e4
- BR: perl-tools-pod

* Sat Feb 12 2011 Artur Frysiak <artur@frysiak.net> 6fccaa9
- up to 0.552
- lzma.patch not updated

* Tue Nov 24 2009 Elan Ruusamäe <glen@pld-linux.org> 89dd577
- release 2

* Tue Nov 24 2009 Elan Ruusamäe <glen@pld-linux.org> 41b22fc
- up to 0.31

* Fri Nov 20 2009 Elan Ruusamäe <glen@pld-linux.org> 43b0e94
- release 2

* Fri Nov 20 2009 Elan Ruusamäe <glen@pld-linux.org> d29fd99
- up to 0.30, package more docs

* Fri Nov 20 2009 zbyniu <zbyniu@pld-linux.org> 96c4e30
- missing BRs

* Thu Nov 19 2009 Elan Ruusamäe <glen@pld-linux.org> f744df8
- release 2

* Tue Apr 22 2008 Elan Ruusamäe <glen@pld-linux.org> d8f54b2
- update to 0.23

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> dab0b71
- bcond desc

* Mon Dec 10 2007 Elan Ruusamäe <glen@pld-linux.org> de781cd
- Con has made up new release (version 0.19)

